- hosts: webservers
  remote_user: deploy
  tasks:
    - name: Log into DockerHub
      community.docker.docker_login:
        username: "{{ dh_username }}"
        password: "{{ vault_dh_token  }}"

    - name: Run app container
      community.docker.docker_container:
        name: ansible-for-servers
        image: tabomors/ansible-for-servers
        published_ports: 5000:5000
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        env:
          SERVER_MESSAGE: "{{ ansible_default_ipv4.address }}"
